/*************************** Transform Select Drop Down Form ***************************/

jQuery(document).ready(function() {

    jQuery(".order-by-form").jqTransform();
    jQuery(".order-form").jqTransform();

	jQuery(".order-by-form .jqTransformSelectWrapper ul li a").click(function(){
		var index = jQuery(this).attr('index');
		var value = jQuery('.order-by-form select.jqTransformHidden option:eq('+index+')').attr('value');
		window.location.href=value;
	});
	
	jQuery(".order-form .jqTransformSelectWrapper ul li a").click(function(){
		var index = jQuery(this).attr('index');
		var value = jQuery('.order-form select.jqTransformHidden option:eq('+index+')').attr('value');
		window.location.href=value;
	});
	
});

/*************************** Scroll To Top ***************************/

jQuery(document).ready(function(){
jQuery('.back-to-top').click(function() {
	jQuery('html, body').animate({scrollTop: 0}, 'slow');
	return false;
});
});


/*************************** Lightbox ***************************/

jQuery(window).load(function() {

	jQuery("div.gallery-item .gallery-icon a").attr("rel", "prettyPhoto[gallery]");

	jQuery("a[rel^='prettyPhoto']").prettyPhoto({
		theme: 'pp_default'
	});

});


/*************************** Contact Form ***************************/

jQuery(document).ready(function(){
	
	jQuery('#contact-form').submit(function() {

		jQuery('.contact-error').remove();
		var hasError = false;
		jQuery('.requiredFieldContact').each(function() {
			if(jQuery.trim(jQuery(this).val()) == '') {
				jQuery(this).addClass('input-error');
				hasError = true;
			} else if(jQuery(this).hasClass('email')) {
				var emailReg = /^([\w-\.]+@([\w-]+\.)+[\w-]{2,4})?$/;
				if(!emailReg.test(jQuery.trim(jQuery(this).val()))) {
					jQuery(this).addClass('input-error');
					hasError = true;
				}
			}
		});
	
	});
				
	jQuery('#contact-form .contact-submit').click(function() {
		jQuery('.loader').css({display:"block"});
	});	

});